package common

func GetGoodsTypeMap() (r map[GoodsType]string) {
	l := []GoodsType{GoodsTypeSolidDoor, GoodsTypeCompositeDoor, GoodsTypeChair, GoodsTypeCombo, GoodsTypeVanity, GoodsTypeCloset, GoodsTypeMDKitchen, GoodsTypeCCKitchen}
	r = make(map[GoodsType]string)
	for _, k := range l {
		r[k] = k.String()
	}
	return r
}
func GetGoodsTypeReverseMap() (r map[string]GoodsType) {
	l := []GoodsType{GoodsTypeSolidDoor, GoodsTypeCompositeDoor, GoodsTypeChair, GoodsTypeCombo, GoodsTypeVanity, GoodsTypeCloset, GoodsTypeMDKitchen, GoodsTypeCCKitchen}
	r = make(map[string]GoodsType)
	for _, k := range l {
		r[k.String()] = k
	}
	return r
}
func GetGoodsTypeReverseIntMap() (r map[string]int) {
	l := []GoodsType{GoodsTypeSolidDoor, GoodsTypeCompositeDoor, GoodsTypeChair, GoodsTypeCombo, GoodsTypeVanity, GoodsTypeCloset, GoodsTypeMDKitchen, GoodsTypeCCKitchen}
	r = make(map[string]int)
	for _, k := range l {
		r[k.String()] = int(k)
	}
	return r
}

func (t GoodsType) Check() bool {
	l := []GoodsType{GoodsTypeSolidDoor, GoodsTypeCompositeDoor, GoodsTypeChair, GoodsTypeCombo, GoodsTypeVanity, GoodsTypeCloset, GoodsTypeMDKitchen, GoodsTypeCCKitchen}
	for i := range l {
		if l[i] == t {
			return true
		}
	}
	return false
}
